Update a webhook endpoint
curl --request PATCH \
--url https://api.optimaldial.com/api/v1/webhooks/{webhook_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"description": "<string>",
"events": [],
"is_active": true
}
'import requests
url = "https://api.optimaldial.com/api/v1/webhooks/{webhook_id}"
payload = {
"url": "<string>",
"description": "<string>",
"events": [],
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', description: '<string>', events: [], is_active: true})
};
fetch('https://api.optimaldial.com/api/v1/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"events": [
"upload.created"
],
"is_active": true,
"consecutive_failures": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"verified_at": "2023-11-07T05:31:56Z",
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z",
"disabled_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": {
"error": "rate_limit_exceeded",
"scope": "per_key",
"limit": 123,
"retry_after_seconds": 123
}
}webhooks
Update a webhook endpoint
PATCH
/
api
/
v1
/
webhooks
/
{webhook_id}
Update a webhook endpoint
Authorizations
OptimalDial API key, prefixed od_live_, sent as Authorization: Bearer ....
Mint keys in the in-app developer panel; they are scoped to a single organization.
Path Parameters
Body
application/json
Response
Updated endpoint.
Available options:
upload.created, upload.completed, upload.failed, contact.completed, contact.failed, spam.detected, number.verified Required range:
x >= 0Maximum string length:
500